player_fiducial_id Struct Reference

Request/reply: Get/set fiducial ID. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | id
| The value displayed.

## Detailed Description

Request/reply: Get/set fiducial ID.

Some fiducial finder devices display their own fiducial. Send a null PLAYER_FIDUCIAL_REQ_GET_ID request to get the identifier displayed by the fiducial.

Some devices can dynamically change the identifier they display. Send a PLAYER_FIDUCIAL_REQ_SET_ID request to set the currently displayed value. Make the request with the player_fiducial_id_t structure. The device replies with the same structure with the id field set to the value it actually used. You should check this value, as the device may not be able to display the value you requested.

Currently supported by the stg_fiducial driver.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45